# Prog4Kids en fête - Tutorial Scratch

## Présentation

Ceci est le code source du tutorial *Scratch* créé pour **Prog4Kids en fête**. 

Il est prévu pour des enfants de 8 à 10 ans, et pour une durée de 25 minutes.
Il a été testé pendant l'édition 2017 de "Science en fête", à la MJC Nomade.

Le tutorial consiste en un ensemble de fichiers [MarkDown](https://fr.wikipedia.org/wiki/Markdown) ainsi que de quelques images.
Il est transformé en site web grâce à [MkDocs](http://www.mkdocs.org), avec le thème [Materialize](http://squidfunk.github.io/mkdocs-material/).

## Commandes

Pour compiler le site :
```shell
docker run --rm -it -v $PWD:/docs squidfunk/mkdocs-material build -d public
```

Pour lancer le site en local, avec mise à jour automatique en cas de modification :
```shell
docker run --rm -it -p 8000:8000 -v $PWD:/docs squidfunk/mkdocs-material
```
Le site est alors à l'adresse : http://localhost:8000

## Live

A chaque commit, le site est publié live à l'adresse suivante : 

[http://christophe.bouthier.gl-pages.telecomnancy.univ-lorraine.fr/p4kf_scratch](http://christophe.bouthier.gl-pages.telecomnancy.univ-lorraine.fr/p4kf_scratch)
