# Défis

---

## But 

Voici quelques défis que vous devez réaliser tout seul. 

## Défi 1 : faire reculer **Scratch** 

Modifie ton programme pour qu'il fasse la même chose, mais en arrière ! **Scratch** doit *reculer* jusqu'au bord de l'écran.

??? tip "indice 1"
    Reculer, c'est comme avancer en arrière. Qu'est-ce qui se passe par exemple si tu avances de *-10* et non pas de *10* ?

??? tip "indice 2"
    Ici, c'est le bord gauche qui t'intéresse, pas le bord droit.

??? tip "indice 3"
    Tu peux déplacer **Scratch** avec la souris pour trouver quelle valeur de *x* tu dois tester pour le bord gauche.

??? tip "indice 4"
    Attention, avec les chiffres qui ont un *"-"*, il ne faut pas tester si l'on est plus grand, il faut tester si l'on est plus petit...

## Défi 2 : faire monter **Scratch** 

Modifie ton programme pour qu'il fasse la même chose, mais vers le haut ! **Scratch** doit *monter* jusqu'au bord de l'écran.

??? tip "indice 1"
    Ici, ce n'est plus *x* qui compte, mais *y*.

??? tip "indice 2"
    Il n'y a pas l'ordre "monter". Mais il y a l'ordre "ajouter 10 à y".

??? tip "indice 3"
    Ici, ce n'est pas le bord gauche ou droit qui t'intéresse, mais le bord haut.

??? tip "indice 4"
    Tu peux déplacer **Scratch** avec la souris pour trouver quelle valeur de *y* tu dois tester pour le bord haut.

## Défi 3 : Tout ensemble

Modifie ton programme pour qu'il fasse tout ca en même temps !

Pour cela, il faut changer le début du programme : il ne faut pas qu'il commence lorsqu'on clique sur le drapeau vert, mais par exemple lorsque tu appuie sur une flèche. 

??? tip "indice 1"
    Les débuts de programme sont dans les ordres orange.

??? tip "indice 2"
    Tu ne vas plus avoir *un* programme, mais *des* programmes. Un par direction.

??? tip "indice 3"
    Si tu fais un clic droit sur un programme, tu peux choisir "dupliquer" pour faire une copie de ton programme.

??? tip "indice 4"
    Si tu fait glisser un ordre vers la liste des ordres, au milieu, il disparait.

---

## Conclusion

!!! success "Bravo !"
    Tu as maintenant un personnage qui bouge en suivant tes ordres. C'est les bases d'un jeu vidéo ! Félicitations !

Il reste encore pleins de choses à découvrir sur **Scratch**.

Tu peux notamment dessiner dans la scène, pour faire un décors à ton personnage. Tu peux ajouter des sons. Tu peux créer d'autres personnages.

Bref, beaucoup d'amusement en perspective !

!!! Summary "Résumé"
    Nous espérons que tu t'es bien amusé, et aussi que tu as appris des choses.
