# Premier programme

---

## But

Pour notre premier programme, le but est de faire avancer **Scratch** jusqu'au bord de l'écran.

## Démarrage

Le tout premier ordre de notre programme, c'est... de commencer !

Plus exactement, c'est de lui dire *quand* commencer.

Pour cela, il faut cliquer sur la couleur orange, *"Evenements"*, pour afficher les ordres orange :

![Ordres Orange](images/prog1/ordres_orange.png)

Et ensuite choisir l'ordre *"quand le drapeau vert est cliqué"* :

![Drapeau](images/prog1/drapeau.png)

Il suffit ensuite de faire glisser l'ordre vers la zone à droite :

![Ordre 1](images/prog1/ordre_1.png)

Bien, notre programme va commencer lorsque l'on cliquera sur le drapeau vert, situé en haut à droite de **Scratch**.

![Drapeau Vert](images/prog1/drapeau_vert.png)

## Avancer

Maintenant, il faut faire avancer **Scratch**.

Sans surprise, les ordres de mouvements sont dans la couleur bleue, **"Mouvement"** :

![Ordres Bleu](images/prog1/ordres_bleu.png)

On va choisir l'ordre *"avancer de 10"* :

![Ordre Avancer](images/prog1/ordre_avancer.png)

Et on le fait glisser **sous** l'ordre *"quand le drapeau vert est cliqué"*, dans la zone à droite. Le bloc bleu va s'accrocher au bloc orange :

!!! note
    Une petite barre blanche apparait sous le bloc orange lorsqu'on approche le bloc bleu en dessous. C'est le signe que les 2 blocs vont s'accrocher l'un à l'autre.

![Ordre 2](images/prog1/ordre_2.png)

## Tester

On peut de suite tester ce qui se passe, en cliquant sur le drapeau vert au dessus de **Scratch**.

!!! note
    On peut aussi faire un double-clic (deux clics très rapprochés au même endroit) directement sur l'ordre *"quand le drapeau vert est cliqué"*.

!!! success "Bravo !"
    Voilà, vous venez de faire votre premier programme !

!!! question
    Qu'est-ce qu'il se passe ? Est-ce normal ? Pourquoi, à votre avis ? Comment améliorer ca ?

## Amélioration

Le résultat ne correspond pas vraiment à nos attentes pour l'instant. Il va falloir améliorer notre programme. Pour cela, passons à la [page suivante](prog1bis.md)

!!! summary "Résumé"
    Vous avez vu ici : 
    
    - l'événement "drapeau vert", qui permet de commencer un programme
    - l'ordre "avancer", qui fait bouger **Scratch**